
Robotics Service Bus - Enhancement #429
Reduce event creation cost
07/20/2011 11:21 AM - J. Moringen

Status: Resolved Start date: 07/20/2011
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4
Description
Main culprits: 
    -  Regex-based input validation in Scope constructor (see #464)
        -  Regex compilation ✓ (now performed during static initialization removed)
        -  Regex matching ✓ (removed)
    -  UUID generation ✓ (fixed by #421, see #465)

Related issues:
Related to Robotics Service Bus - Bug # 465: Performance Bottleneck: expensiv... Resolved 08/01/2011
Related to Robotics Service Bus - Bug # 464: Performance Bottleneck: expensiv... Resolved 08/01/2011

Associated revisions
Revision 77e0af00 - 07/21/2011 09:05 AM - J. Moringen
Compile scope validation regex during static init in src/rsb/Scope.cpp
refs #429
    -  src/rsb/Scope.cpp: compile regular expression used for scope string

  validation during static initialization rather than in the Scope
  constructor

History
#1 - 07/20/2011 06:54 PM - J. Moringen
- Description updated
- % Done changed from 0 to 50

#2 - 07/25/2011 06:09 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4

#3 - 08/02/2011 07:59 PM - J. Moringen
- Description updated
- Status changed from New to Resolved
- % Done changed from 50 to 100
